/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Fri Feb  8 14:35:39 2002 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.icore;

import java.util.*;
import ix.util.*;

/**
 * Provides an implementation of the IXObject interface.
 */
public abstract class AbstractIXObject implements IXObject {

    protected Annotations annotations;

    public AbstractIXObject() { }

    public Annotations getAnnotations() {
	return annotations;
    }

    public void setAnnotations(Annotations annotations) {
	this.annotations = annotations;
    }

    public Object getAnnotation(Object key) {
	if (annotations != null)
	    return annotations.get(key);
	else
	    return null;
    }

    public void setAnnotation(Object key, Object value) {
	if (annotations == null)
	    annotations = new Annotations();
	annotations.put(key, value);
    }

}
