/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Thu Feb  7 21:37:27 2002 by Jeff Dalton
 * Copyright: (c) 2002, AIAI, University of Edinburgh
 */

package ix.icore.domain;

import java.io.Serializable;
import java.util.*;

import ix.util.*;
import ix.util.lisp.*;

/**
 * A probably temporary class that represents "before" ordering constraints.
 */

public class Ordering implements Serializable {

    protected NodeEndRef from;
    protected NodeEndRef to;

    public Ordering() {
    }

    public Ordering(NodeEndRef from, NodeEndRef to) {
	this.from = from;
	this.to = to;
    }

    public NodeEndRef getFrom() { return from; }
    public void setFrom(NodeEndRef from) { this.from = from; }

    public NodeEndRef getTo() { return to; }
    public void setTo(NodeEndRef to) { this.to = to; }

    public boolean equals(Object obj) {
	if (obj instanceof Ordering) {
	    Ordering ord = (Ordering)obj;
	    return from.equals(ord.from) && to.equals(ord.to);
	}
	else return false;
    }

    public int hashCode() {
	return 31 * from.hashCode() + to.hashCode();
    }

}
