/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Wed Feb 20 01:49:36 2002 by Jeff Dalton
 * Copyright: (c) 2001 - 2002, AIAI, University of Edinburgh
 */

package ix.ip2;

import ix.icore.*;
import ix.icore.process.PNode;
import ix.icore.process.PNodeMaker;
import ix.icore.domain.Refinement;
import ix.util.lisp.LList;
import ix.util.match.MatchEnv;

/**
 * An AgendaEntry to represents an activity.
 */
public class ActivityItem extends AgendaItem {

    public ActivityItem(Activity activity) {
	super(activity);
    }

    public ActivityItem(ActivityItem parent, Activity activity) {
	super(parent, activity);
    }

    void expandOneLevel(Refinement refinement, MatchEnv env) {
	expandOneLevel(refinement, env, new PNodeMaker() {
	    public PNode makePNode(PNode parent, LList pattern) {
		return new ActivityItem((ActivityItem)parent,
					new Activity(pattern));
	    }
	});
    }

}

