/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Tue Apr 16 14:55:00 2002 by Jeff Dalton
 * Copyright: (c) 2001 - 2002, AIAI, University of Edinburgh
 */

package ix.ip2;

import ix.icore.*;

/**
 * An AgendaEntry that represents an Issue.
 */
public class IssueItem extends AgendaItem {

    public IssueItem(Issue issue) {
	super(issue);
    }

    public void computeStatus() {
	if (getStatus() == Status.BLANK) {
	    setStatus(Status.POSSIBLE);
	}
    }

    // /\/: We also have to define setStatus so that it doesn't
    // call PNode setStatus.  So this definition is exactly like
    // the one in AgendaItem except that the super.setStatus(status)
    // line is commented-out.
    public void setStatus(Status status) {
	if (this.getStatus() != status) {
	    if (about.getReportBack() == YesNo.YES)
		handleReportBack(status);
	    // Status isn't changed until after any report-back
	    // in case we can't send the report.  But is that right? /\/
	    about.setStatus(status);
	    // super.setStatus(status);
	    fireStatusChanged();
	}
    }

}

// Issues:
// * For IssueItems, there's no need for AgendaItem to extend PNode.
//   So it might be better if ActivityItem relationship to PNodes
//   were inclusion rather than inheritance.
