/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Wed May 22 20:18:25 2002 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.ip2;

import javax.swing.*;

import java.awt.Toolkit;
import java.awt.Component;
import java.awt.Container;
import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.Dimension;

import java.awt.event.*;

import ix.ip2.*;

import ix.ichat.ChatFrame;

import ix.icore.*;
import ix.iview.*;
import ix.iface.ui.ThingEditorPanel;
import ix.iface.util.LogoPanel;
import ix.iface.util.IconImage;
import ix.util.*;

/**
 * The main frame of the I-P2 user interface.
 */
public class NewIp2Frame extends Ip2Frame implements ActionListener {

    public NewIp2Frame(Ip2 ip2) {
	super(ip2);
    }

    protected void setUp() {
	setIconImage(IconImage.getIconImage(this));
	activityViewer = ip2.activityViewer;
	issueViewer = ip2.issueViewer;
	stateViewer = ip2.stateViewer;

	contentPane = getContentPane();

	setSize(500, 400);	// preliminary
	setJMenuBar(makeMenuBar());
	// Layout manager defaults to BorderLayout.
	// contentPane.setLayout(new FlowLayout()); // probably not too clever

	// Package issue viewer
	//***UC change
	// JPanel issuePanel = new JPanel();
	//   issuePanel.add((Component)issueViewer);
	//   JScrollPane issueScroll = new JScrollPane(issuePanel);
	//   issueScroll.setBorder(BorderFactory.createTitledBorder("Issues"));
	//JScrollPane issueScroll = new JScrollPane();
	//issueScroll.setBorder(BorderFactory.createTitledBorder("Issues"));
	//issueScroll.getViewport().add((Component)issueViewer);
	ThingEditorPanel issuePanel = 
	  new ThingEditorPanel(null, true, "Issues", (JComponent)issueViewer);

	// Package activity viewer
	//***UC change
	// 	JPanel activityPanel = new JPanel();
	// 	activityPanel.add((Component)activityViewer);
	// 	JScrollPane activityScroll = new JScrollPane(activityPanel);
	// 	activityScroll
	// 	    .setBorder(BorderFactory.createTitledBorder("Activities"));
	//JScrollPane activityScroll = new JScrollPane();
	//activityScroll
	//    .setBorder(BorderFactory.createTitledBorder("Activities"));
	//activityScroll.getViewport().add((Component)activityViewer);
	ThingEditorPanel activityPanel = 
	  new ThingEditorPanel(null, true, "Activities", 
			       (JComponent)activityViewer);

	// Package state viewer
	// stateViewer.setBorder(BorderFactory.createTitledBorder("inner"));
	JPanel statePanel = new JPanel();
	statePanel.add((Component)stateViewer);
	JScrollPane stateScroll = new JScrollPane(statePanel);
	stateScroll.setBorder(BorderFactory.createTitledBorder("State"));

	// Put the viewers in nested split panes.

	// JSplitPane split1 = new JSplitPane(JSplitPane.VERTICAL_SPLIT);
	// JSplitPane split2 = new JSplitPane(JSplitPane.VERTICAL_SPLIT);
	//split1.setTopComponent(issueScroll);
	split1.setTopComponent(issuePanel);
	split1.setBottomComponent(split2);
	//split2.setTopComponent(activityScroll);
	split2.setTopComponent(activityPanel);
	split2.setBottomComponent(stateScroll);
	// split.setDividerLocation(0.80); // the one after pack() matters /\/
	contentPane.add(split1);

	// Add something that identifies the system etc.
	contentPane.add(ip2.makeLogoPanel(),
			BorderLayout.SOUTH);

    }

}
