/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Wed Mar 27 13:07:02 2002 by Jeff Dalton
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 */

package ix.ispace;
import java.util.*;
import ix.util.*;

/**
 * A capability that corresponds to a verb such as would appear
 * in an issue or activity pattern.
 */
public class VerbCapability extends Capability {

    protected String verb;		// Symbol? /\/

    public VerbCapability(String verb) {
	this.verb = verb;
    }

    /**
     * Returns true iff the required capability is a VerbCapability
     * for the same verb.
     */
    public boolean subsumes(Capability required) {
	return required instanceof VerbCapability
	    && ((VerbCapability)required).verb.equals(verb);
    }

    public String toString() {
	return "VerbCapability[" + verb + "]";
    }

}

// Issues:
// * Canonicalize?
