/****************************************************************************
 * A simple List renderer for list or table cells.
 *
 * @author Jussi Stader
 * @version 1.0
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 *
 *****************************************************************************
 */
package ix.iview;

import java.util.Iterator;
import java.util.List;
//import java.awt.Color;
import java.awt.Component;
import javax.swing.JList;
import javax.swing.JLabel;
import javax.swing.ListCellRenderer;

import ix.util.lisp.Lisp;
import ix.iface.ui.IXRenderer;

/****************************************************************************
 * A simple List renderer for list or table cells.
 *
 * Lists all elements of the List (using toString()) with spaces between them.
 *****************************************************************************
 */
class ListRenderer extends IXRenderer {
  public ListRenderer(boolean isBordered) {super(isBordered);}
  /**
   * Sets the cell text to a string of all elements with spaces between them.
   */
  protected void setInfo(Object object){
    if ((object == null) || (object == Lisp.NIL)) setText("");
    else {
      List list = (List)object;
      String text = "";
      for (Iterator i = list.iterator(); i.hasNext();) {
	text = text + i.next().toString() + " ";
      }
      setText(text);
    }
  }
}
