/* Author: Jeff Dalton <J.Dalton@ed.ac.uk>
 * Updated: Tue Feb  5 20:09:45 2002 by Jeff Dalton
 * Copyright: (c) 2002, AIAI, University of Edinburgh
 */

package ix.util;

/**
 * Tagging interface for objects that have a straightforward representation
 * as Strings.  The <code><i>obj</i>.ToString()</code> method should return
 * that representation for <i>obj</i>, and the class should provide a
 * static <code>valueOf(String)</code> method for conversion in the
 * opposite direction.
 */
public interface SemiPrimitive {

}
