/****************************************************************************
 * A TableCellEditor with a combo box that can re-select the same item.
 *
 * @author Jussi Stader
 * @version 1.0
 * Copyright: (c) 2001, AIAI, University of Edinburgh
 *
 *****************************************************************************
 */
package ix.iface.ui.table;

import ix.util.*;
import ix.iface.ui.*;

import java.awt.Component;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;
import java.util.*;


/****************************************************************************
 * A TableCellEditor with a combo box that can re-select the same item.
 *****************************************************************************
 */
public class IXDefaultCellEditor extends DefaultCellEditor 
implements FocusListener, ActionListener//, ItemListener
{

  public IXDefaultCellEditor(IXComboBox cb) {
    super(cb);
    cb.setEditable(false);
    ListCellRenderer lcr = cb.getRenderer();
    if (lcr == null)
      cb.setRenderer(new NDRenderer(false));
    cb.getEditor().addActionListener(this);
  }

  /**
   * Overwrite this with your own initialisation if needed, then call this as
   * the last thing you do.
   * See HandlerActionEditor for an example.
   */
  public Component getTableCellEditorComponent(JTable table, Object value,
					       boolean isSelected,
					       int row, int column) {
    //just clear the selected item so that re-selecting the same item goes ok
    ((IXComboBox)editorComponent).clearSelectedItem();
    return editorComponent;
  }

  /*
  public Object getCellEditorValue() {
    //Debug.noteln("***HAE: getting cell editor value");
    JComboBox jcb = (JComboBox)editorComponent;
    Object newItem;
    if (jcb.isEditable()) {
      newItem =  jcb.getEditor().getItem();
    } else {
      newItem= jcb.getSelectedItem();
    }
    Debug.noteln(" cell editor value is", newItem.toString());
    return newItem;
  }
  */

  public void focusGained(FocusEvent fe) {}
  public void focusLost(FocusEvent fe) {
    //Debug.noteln("***IXDE: Losing focus");
    stopCellEditing();
  }



  public void actionPerformed(ActionEvent e) {
    //Debug.noteln("***IXDE: performed action", e.paramString());
  }
}

  
